Class | TkSpinbox
In: | tk/lib/tk/spinbox.rb
Parent: | TkEntry

### Methods

__validation_class_list identify set spindown spinup

### Classes and Modules

Class TkSpinbox::SpinCommand

### Constants

TkCommandNames | = | ['spinbox'.freeze].freeze
WidgetClassName | = | 'Spinbox'.freeze

### Public Instance methods

__validation_class_list()

[Source]

    # File tk/lib/tk/spinbox.rb, line 53
      def __validation_class_list
        super() << SpinCommand
      end

identify(x, y)

[Source]

    # File tk/lib/tk/spinbox.rb, line 82
      def identify(x, y)
        tk_send_without_enc('identify', x, y)
      end

set(str)

[Source]

    # File tk/lib/tk/spinbox.rb, line 96
      def set(str)
        _fromUTF8(tk_send_without_enc('set', _get_eval_enc_str(str)))
      end

spindown()

[Source]

    # File tk/lib/tk/spinbox.rb, line 91
      def spindown
        tk_send_without_enc('invoke', 'spindown')
        self
      end

spinup()

[Source]

    # File tk/lib/tk/spinbox.rb, line 86
      def spinup
        tk_send_without_enc('invoke', 'spinup')
        self
      end

[Validate]